# Atomic React

<p align="center">
  <img alt="atomic design" src="https://cdn-images-1.medium.com/max/1600/1*fBFPvh-Y-l4pXmRTECCsPw.png">
</p>

A React & Redux front-end boilerplate based on
[atomic design][atomic-design-url] methodology

[![node][node]][package-url]
[![Dependencies][deps]][deps-url]
[![Build Status][build-status]][build-status-url]
[![Coverage][cover]][cover-url]
[![Code Quality][code-quality]][code-quality-url]

## Main Features
- ES6
- eslint
- i18N translation
- jest
- material-ui
- postcss
- react-icons
- redux-form
- redux-saga
- reselect
- storybook
- styled-components
- token-based authentication
- webpack

## Dependencies
[![Package Info][package-info]][package-url]

For auth features (back end) you can use
[express-passport-boilerplate][backend-url]

## Install
```sh
$ yarn install
```

## Launch
```sh
$ yarn start
```

## Tests
```sh
$ yarn test
```

## License

[![MIT][license]][license-url] Inspired by
[react-boilerplate](https://github.com/react-boilerplate/react-boilerplate)

[atomic-design-url]: http://bradfrost.com/blog/post/atomic-web-design/
[backend-url]: https://github.com/alexander-elgin/express-passport-boilerplate
[package-url]: https://npmjs.com/package/atomic-react

[package-info]: https://nodei.co/npm/atomic-react.png

[node]: https://img.shields.io/node/v/atomic-react.svg

[deps]: https://david-dm.org/alexander-elgin/atomic-react.svg
[deps-url]: https://david-dm.org/alexander-elgin/atomic-react

[build-status]: https://img.shields.io/travis/alexander-elgin/atomic-react.svg
[build-status-url]: https://travis-ci.org/alexander-elgin/atomic-react

[code-quality]: https://api.codacy.com/project/badge/Grade/27011bc53e004590921e1839a0b2707d
[code-quality-url]: https://www.codacy.com/app/alexander-elgin/atomic-react

[cover]: https://coveralls.io/repos/github/alexander-elgin/atomic-react/badge.svg
[cover-url]: https://coveralls.io/github/alexander-elgin/atomic-react

[license]: https://img.shields.io/npm/l/tailwindcss.svg
[license-url]: ./LICENSE
