/*
 * Feature List Page Messages
 *
 * This contains all the text for the FeaturePage component.
 */
import { defineMessages } from 'react-intl';

export default defineMessages({
  metaTitle: {
    id: 'boilerplate.pages.FeatureList.metaTitle',
    defaultMessage: 'Features List',
  },
  metaDescription: {
    id: 'boilerplate.pages.FeatureList.metaDescription',
    defaultMessage: 'Features list of React.js Boilerplate application',
  },
  header: {
    id: 'boilerplate.pages.FeatureList.header',
    defaultMessage: 'Features',
  },
  scaffoldingHeader: {
    id: 'boilerplate.pages.FeatureList.scaffolding.header',
    defaultMessage: 'Quick scaffolding',
  },
  scaffoldingMessage: {
    id: 'boilerplate.pages.FeatureList.scaffolding.message',
    defaultMessage: `Automate the creation of components, containers, routes, selectors
  and sagas - and their tests - right from the CLI!`,
  },
  feedbackHeader: {
    id: 'boilerplate.pages.FeatureList.feedback.header',
    defaultMessage: 'Instant feedback',
  },
  feedbackMessage: {
    id: 'boilerplate.pages.FeatureList.feedback.message',
    defaultMessage: `
      Enjoy the best DX and code your app at the speed of thought! Your
    saved changes to the CSS and JS are reflected instantaneously
    without refreshing the page. Preserve application state even when
    you update something in the underlying code!
    `,
  },
  stateManagementHeader: {
    id: 'boilerplate.pages.FeatureList.state_management.header',
    defaultMessage: 'Predictable state management',
  },
  stateManagementMessages: {
    id: 'boilerplate.pages.FeatureList.state_management.message',
    defaultMessage: `
      Unidirectional data flow allows for change logging and time travel
    debugging.
    `,
  },
  javascriptHeader: {
    id: 'boilerplate.pages.FeatureList.javascript.header',
    defaultMessage: 'Next generation JavaScript',
  },
  javascriptMessage: {
    id: 'boilerplate.pages.FeatureList.javascript.message',
    defaultMessage: `Use template strings, object destructuring, arrow functions, JSX
    syntax and more, today.`,
  },
  cssHeader: {
    id: 'boilerplate.pages.FeatureList.css.header',
    defaultMessage: 'Features',
  },
  cssMessage: {
    id: 'boilerplate.pages.FeatureList.css.message',
    defaultMessage: 'Next generation CSS',
  },
  routingHeader: {
    id: 'boilerplate.pages.FeatureList.routing.header',
    defaultMessage: 'Industry-standard routing',
  },
  routingMessage: {
    id: 'boilerplate.pages.FeatureList.routing.message',
    defaultMessage: `
      Write composable CSS that's co-located with your components for
    complete modularity. Unique generated class names keep the
    specificity low while eliminating style clashes. Ship only the
    styles that are on the page for the best performance.
    `,
  },
  networkHeader: {
    id: 'boilerplate.pages.FeatureList.network.header',
    defaultMessage: 'Offline-first',
  },
  networkMessage: {
    id: 'boilerplate.pages.FeatureList.network.message',
    defaultMessage: `
      The next frontier in performant web apps: availability without a
      network connection from the instant your users load the app.
    `,
  },
  intlHeader: {
    id: 'boilerplate.pages.FeatureList.internationalization.header',
    defaultMessage: 'Complete i18n Standard Internationalization & Pluralization',
  },
  intlMessage: {
    id: 'boilerplate.pages.FeatureList.internationalization.message',
    defaultMessage: 'Scalable apps need to support multiple languages, easily add and support multiple languages with `react-intl`.',
  },
});
